function fv=stnd6(y,w1,w2)
%******************************************************************
%** This is a supporting function for "sampling1.m"              **
%** Created by XXXXXXXXXXX, Dec 19, 2011                         **
%** y:dependent variable                                         **
%** w1:the weight for the random part, varying from 0 to 1       **
%** w2:the weight for non-collinearity, varying from 0 to 1      **
%** output:data drawn with the designed treatment                **
%******************************************************************
format long; 
n=size(y,1);
x0=ones(n,1);
x2=rand(n,1)*w1+(1-w1)*y; 
x1=rand(n,1)*w2+(1-w2)*x2; 
total=[y x0 x1 x2];
fv=total;
